//
//  BlackWhiteFilterViewController.h
//  BlackWhiteFilter
//
//  Created by Heiko Kalista on 13.03.11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

#pragma pack(push, 2)
struct BitmapHeader
{
    Byte    fileHeader[2];
    int     fileSize;
    int     reserved;
    int     dataOffset;
    int     headerSize;
    int     width;
    int     height;
    short   planes;
    short   bpp;
    int     compression;
    int     bitmapDataSize;
    int     resolutionH;
    int     resolutionV;
    int     numColors;
    int     numImportantColors;
    
};

#pragma pack(pop)

@interface BlackWhiteFilterViewController : UIViewController {
    
    @private    
        IBOutlet UIImageView *imageView;
    
}


- (IBAction)onButtonConvertClicked:(id)sender;
- (void)convertImage:(NSString*)sourceFileName :(NSString*)destinationFileName;

@end
